/*
 * PriceProblem.java
 * KIDware (206) 721-2556
 */
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class PriceProblem extends JFrame 
{
	
  static JLabel temperatureLabel = new JLabel();
  static JLabel priceLabel = new JLabel();
  static JTextField temperatureTextField = new JTextField();
  static JTextField priceTextField = new JTextField();;
  static JButton priceButton = new JButton();;

  public static void main(String args[]) 
  {
  	//construct frame
    new PriceProblem().show();
  }

  public PriceProblem() 
  {
  	// code to build the form
    setTitle("Price Problem");
    addWindowListener(new WindowAdapter() 
    {
      public void windowClosing(WindowEvent e) 
      {
    		exitForm(e);
      }
    });
    getContentPane().setLayout(new GridBagLayout());
    
    // position controls (establish event methods)
    GridBagConstraints gridConstraints = new GridBagConstraints();
    temperatureLabel.setText("Temperature");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 0;
    getContentPane().add(temperatureLabel, gridConstraints);
    priceLabel.setText("Price");
    gridConstraints.gridx = 0;
    gridConstraints.gridy = 1;
    getContentPane().add(priceLabel, gridConstraints);
    temperatureTextField.setText("");
    temperatureTextField.setColumns(15);
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 0;
    getContentPane().add(temperatureTextField, gridConstraints);
    priceTextField.setText("");
    priceTextField.setColumns(15);
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 1;
    getContentPane().add(priceTextField, gridConstraints);
    priceButton.setText("Set Price");
    gridConstraints.gridx = 1;
    gridConstraints.gridy = 2;
    getContentPane().add(priceButton, gridConstraints);
    priceButton.addActionListener(new ActionListener()
    {
    	public void actionPerformed(ActionEvent e)
    	{
    		priceButtonActionPerformed(e);
    	}
    });
    pack();
	}
	
	private void priceButtonActionPerformed(ActionEvent e)
	{
		int temperature;
		int price;
    temperature = Integer.valueOf(temperatureTextField.getText()).intValue();
    if (temperature < 50)
    {
     	price = 0;
    }
    else if (temperature >= 50 && temperature <= 60)
    {
  		price = 20;
  	}
  	else if (temperature >= 61 && temperature <= 70)
    {
  		price = 25;
  	}
  	else if (temperature >= 71 && temperature <= 80)
    {
  		price = 30;
  	}
  	else if (temperature >= 81 && temperature <= 85)
    {
  		price = 40;
  	}
  	else if (temperature >= 86 && temperature <= 90)
    {
  		price = 50;
  	}
  	else if (temperature >= 91 && temperature <= 95)
    {
  		price = 55;
  	}
  	else if (temperature >= 96 && temperature <= 100)
    {
  		price = 65;
  	}
  	else
  	{
  		price = 75;
  	}
    if (price != 0)
    {
      priceTextField.setText(String.valueOf(price) + " Cents");
    }
    else
    {
      priceTextField.setText("Don't bother!!");
  	}
	}

  private void exitForm(WindowEvent e)
  {
  	System.exit(0);
  }

}
